all:
	fpc -B -glh -k-pie -k-znow -Cg -CfSSE64 -Mobjfpc -CX -XX -O3 -CfSSE64 sortucs4.pas

tests:
	fpc -gl -B -CX -XX -O3 -CfSSE64 benchmark_unicode_strings.pas
	fpc -gl -B -CX -XX -O3 -CfSSE64 test_ucs4.pas
	fpc -gl -B -CX -XX -O3 -CfSSE64 test_string4_mode.pas
	fpc -gl -B -CX -XX -O3 -CfSSE64 test_string4.pas
	fpc -gl -B -CX -XX -O3 -CfSSE64 test_ucs4op.pas


clean:
	rm -f benchmark_unicode_strings test_ucs4 test_string4_mode test_string4 sortucs4 test_ucs4op *.ppu *.o *.rsj core